#ifndef CREATEROOM_H
#define CREATEROOM_H

#include "QString"

class TDF_Label;

class RoomCreate
{

public:
    RoomCreate();
    ~RoomCreate();
//! Создание комнаты с вызовом диалога
    QString onMakeRoom(const TDF_Label &MainLab,
                       int S,int H,int G, int H1);
//! Задание активной стены
    bool setActiveWall(const TDF_Label &selectedWall);
//! Метка активной стены
    uint getActiveWall(const TDF_Label &roomLabel);
//! Размеры комнаты
    bool getRoomValues(const TDF_Label &roomLabel, int &S, int &H, int &G);
//! Уровень навески комнаты
    bool getRoomTopValue(const TDF_Label &roomLabel, int &H1);
//! Есть ли комната
    int isRoomCreated(TDF_Label MainLab);

private:
    void removeGridAndLevel(const uint &aGridTag, const uint &aActLevelTag, const TDF_Label &Group);
//! Создание комнаты
    void BuildRoom(const int &S, const int &H, const int &G, const int &H1,
                   const uint &aRoomTag, const uint &aActiveWall, const TDF_Label &MainLab);
//! Создание вертикальной сетки
    QVector<int> makeVGrid(const int &S, const int &H, const int &G,
                           const uint &aActiveWall, const TDF_Label &Root);
};

#endif // CREATEROOM_H
